import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import type { RootState } from "./";

interface Category {
  name: string;
  clues: Clue[];
}

interface Clue {
  value: number;
  question: string;
  answer: string;
}

const initialState: Category[] = [];

export const cluesSlice = createSlice({
  name: "clues",
  initialState,
  reducers: {
    setCategories: (state, action: PayloadAction<Record<string, Clue[]>>) =>
      Object.entries(action.payload).map(([name, clues]) => ({
        name,
        clues,
      })),
  },
});

export const { setCategories } = cluesSlice.actions;
export const selectCategories = (state: RootState) => state.clues;

export default cluesSlice.reducer;
