import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import type { RootState } from "./";

interface SocketState {
  roomCode: string;
}

const initialState: SocketState = {
  roomCode: "",
};

export const socketSlice = createSlice({
  name: "socket",
  initialState,
  reducers: {
    setRoomCode: (state, { payload }: PayloadAction<string>) => {
      state.roomCode = payload;
    },
  },
});

export const { setRoomCode } = socketSlice.actions;
export const selectRoomCode = (state: RootState) => state.socket.roomCode;

export default socketSlice.reducer;
